VismaBouwsoftAPICalls.v1_POST_ItemLists Method
v1_POST_ItemLists() as String

This API call is used to add a(n) ItemList

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /ItemLists
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 50 No Yes No
name_localized 2 tpString 50 No No No
active 5 tpBool 0 No Yes No
seqno 1 tpLong 0 No Yes No

/ItemLists

API Path: /ItemLists/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ItemLists

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rtGfWxfIfVzSfrffIfzRqUOGfUPIfGIffjDkztkUVUOGGfOfrU

Query Parameters :
ParameterName: columns, ParameterValue: name=’APIItemList’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 61,
    "name": "APIITEMLIST",
    "name_localized": "APIITEMLIST",
    "active": true,
    "seqno": 0
  }
]
}